Skip to main content
POST
/
v1
/
transcriptions
Submit a YouTube video for transcription
curl --request POST \
  --url https://api.arcmira.com/v1/transcriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "videoId": "<string>",
  "url": "<string>"
}
'
{
  "error": {
    "type": "<string>",
    "code": "<string>",
    "message": "<string>",
    "doc_url": "<string>",
    "request_id": "<string>",
    "param": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
videoId
string

YouTube video id (11 characters). Either videoId or url is required.

Pattern: ^[A-Za-z0-9_-]{11}$
url
string<uri>

A YouTube watch/short/live URL. Either videoId or url is required.

Response

Success